Download it now!
Bug 91976 - table control: insert fails because of database error, macro refreshes query, repeat -> crash
Summary: table control: insert fails because of database error, macro refreshes query,...
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All Windows (All)
: low major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Queries Crash
  Show dependency treegraph
 
Reported: 2015-06-10 07:23 UTC by Paulo Martins
Modified: 2020-05-17 15:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
toy database NON-reproducer (11.73 KB, application/vnd.sun.xml.base)
2015-06-10 07:35 UTC, Paulo Martins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Martins 2015-06-10 07:23:34 UTC
if repeated several times, leads to crash
Comment 1 Paulo Martins 2015-06-10 07:35:15 UTC
For now reproduced only on our internal "time.odb" database connecting to PostgreSQL. Cannot reproduce with toy embedded HSQLDB database.

Something about macros or the exact setup?

Reproducer on our internal network for later use: dev\LibreOffice\tdf91976\time.odb

Open "timereport" form, choose customer, exit customer choice (e.g. go to description), go to "date à". PostgreSQL error message and the to-be-inserted record disappears.

Expected behaviour (and behaviour with toy Embedded HSQLDB database): cancel leaving the table control, let the user fix the problem with the record (as opposed to retyping everything).
Comment 2 Paulo Martins 2015-06-10 07:35:48 UTC
Created attachment 116435 [details]
toy database NON-reproducer
Comment 3 Lionel Elie Mamane 2015-06-10 11:17:03 UTC
The originally described behaviour is linked to a Basic macro that was changing the table's datasource query and refreshing the table, and thus "obviously" cancelling the insert!

However, that seems to leave LibreOffice in some inconsistent state that leads to the later crash, which is still a LibreOffice bug. Time permitting, I'm going to work on it.
Comment 4 QA Administrators 2016-09-20 10:01:57 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:40:16 UTC
Dear Paulo Martins,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 6 Julien Nabet 2020-05-16 21:23:19 UTC
Paulo: any update with LO 6.4.3?
Also, would it be possible to have SQL script to create the table on Postgres + macro ?
Comment 7 Aron Budea 2020-05-17 15:03:42 UTC
No assertion failure mentioned, removing from Assert meta bug.